Subject: Re: git fast-export/fast-import *facepalm*

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 27 May 2010 14:03:28 -0700

Chris Packham <[email-masked]> wrote:
> What I've ended up with is a repository with a detached set of changes i.e
> 
> o -o   l - l - l - l - l - l     o - master
>      \                          /
>       o - o - o - o - o - o
> 
> o = our commits
> l = linux commits
> 
> Because the code is common textually I think what I really should have done is
> 
> (cd linux-2.6.32.y; git format-patch v2.6.32.12..v2.6.32.14) | git am
> 
> Which I'll give a try in a minute. In the meantime is there anyway for
> me to safely remove the upstream linux commits without loosing our
> commits in the process?

If I read your diagram right, the l-l-l chain isn't connected at
all to your graph, so it should just get removed with `git gc`.

But if it is connected due to a merge with your master, lookup the
merge and find its parent which is your local stuff and `git reset
--hard` to that commit.

-- 
Shawn.